- Fork the repo,
- Create a branch from develop branch with PR/issue number
- And get to code and test the it
Hi @Gerhard.P , happy to see you willing to get involved,
Here are a few references
-
Contributing to pyRevit Source on the pyrevit documentation on Notion
-
Contributing to pyrevit the proper way on the forum
There are plenty of article regarding obscure names like: forking, rebase, clone, … so I won’t add to that ocean of knowledge.
If I sum up a bit more clearly, whatever the tool you are using (VSCode, githubDesktop+VScode, pyCharm, …):
- fork the repo (create your copy of the repo under your own user)
- checkout a new branch from the develop branch (from the original branch on Ehsan’s version of the repo)
- make your changes in that branch
1.you may want to attach this ‘clone of pyrevit’ to Revit to test it. That’s where pyRevit CLI is useful:pyrevit clone --help
to get the isntructions on how you can create the clone from your copy of the code, but you will want to usepyrevit clones add <clone_name> <clone_path>
2.pyrevit attach NameOfYourClone 2711 --allusers --installed
to attach your clone to Revit - make a PR to the develop branch of the original pyRevit repo (not your own fork, but your modified version from your fork againt Ehsan’s develop branch)
- add more commit to the PR (you can keep on editing the code, and commit the changes and it will automatically commit to the PR
- once someone gets the chance to test it and notify me or Ehsan, I can merge the PR and it will be processed by github. The CI-CD kicks in and create new wip installers
- if you are done, you can re-attach the regular install of pyrevit using
pyrevit attach master 2711 --allusers --installed